return {
	"folke/snacks.nvim",
	priority = 1000,
	lazy = false,
	---@type snacks.Config
	opts = {
		animate = { enabled = true },
		bigfile = { enabled = true },
		bufdelete = { enabled = true },
		dashboard = require("plugins.snacks.modules.dashboard"),
		indent = {
			enabled = true,
			indent = {
				enabled = true,
				priority = 1,
				char = "▎",
			},
			animate = {
				enabled = false,
			},
			scope = {
				char = "▎",
			},
		},
        terminal = require("plugins.snacks.modules.terminal"),
		lazygit = { enabled = true },
		picker = { enabled = true },
		quickfile = { enabled = true },
		statuscolumn = { enabled = true },
		scope = { enabled = true },
	},
	keys = require("plugins.snacks.keys.keys"),
}
